package com.thekua.ant.taskdefs;

import org.apache.tools.ant.Task;
import org.apache.tools.ant.BuildException;

import java.io.File;

public class DeleteEmptyFilesTask extends Task {
    private File directory;

    public void setDirectory(File directory) {
        this.directory = directory;
    }

    public void execute() throws BuildException {
        if (!directory.isDirectory()) {
            throw new BuildException("Working from " + new File(".").getAbsoluteFile() + ". "
                    + directory.getAbsoluteFile() + " is not a directory");
        }

        File [] files = directory.listFiles();
        for (int i = 0; i < files.length; i++) {
            File file = files[i];
            if (file.length() == 0) {
                file.delete();
            }
        }
    }
}
